Last Comment Bug 606922 - Add tsk.tr to PSL exceptions
: Add tsk.tr to PSL exceptions
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Networking: Domain Lists (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Gervase Markham [:gerv]
:
Mentors:
Depends on: 654953
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-25 04:17 PDT by Gervase Markham [:gerv]
Modified: 2011-05-06 06:47 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.14-fixed
.17-fixed


Attachments
Patch v.1 (478 bytes, patch)
2010-10-25 05:58 PDT, Gervase Markham [:gerv]
mbeltzner: approval2.0+
dveditz: approval1.9.2.14+
dveditz: approval1.9.1.17+
Details | Diff | Splinter Review

Description Gervase Markham [:gerv] 2010-10-25 04:17:44 PDT
Follow-up to bug 571433.

.tr has a "*.tr" rule, but we need to add an exception for the www.tsk.tr website.

Volkan: we would still appreciate it if you have a definitive list of .tr TLDs, or some contact with the registrar so we can find it out.

Gerv
Comment 1 Volkan 2010-10-25 05:36:10 PDT
Hi Gerv,

Sorry, I contacted the official registrar of Turkey through official means but I forgot to write it here. They informed me that tsk.tr and nic.tr are the only examples of .tr tlds. They told me they hadn't changed their policy and they won't be allowing other organizational addresses yet.

Best,
Volkan 

(In reply to comment #0)
> Follow-up to bug 571433.
> 
> .tr has a "*.tr" rule, but we need to add an exception for the www.tsk.tr
> website.
> 
> Volkan: we would still appreciate it if you have a definitive list of .tr TLDs,
> or some contact with the registrar so we can find it out.
> 
> Gerv
Comment 2 Gervase Markham [:gerv] 2010-10-25 05:58:43 PDT
Created attachment 485713 [details] [diff] [review]
Patch v.1

Here is a patch to implement this policy update. Requesting approval.

Gerv
Comment 3 Mike Beltzner [:beltzner, not reading bugmail] 2010-10-25 06:14:18 PDT
Comment on attachment 485713 [details] [diff] [review]
Patch v.1

a=beltzner
Comment 4 Gervase Markham [:gerv] 2010-10-25 07:14:12 PDT
Checked in on trunk.
http://hg.mozilla.org/mozilla-central/rev/e966ef613c21

Gerv
Comment 5 Gervase Markham [:gerv] 2010-12-09 14:13:54 PST
Comment on attachment 485713 [details] [diff] [review]
Patch v.1

Requesting branch approval.

Gerv
Comment 6 Daniel Veditz [:dveditz] 2010-12-10 10:23:55 PST
Comment on attachment 485713 [details] [diff] [review]
Patch v.1

Approved for 1.9.2.14 and 1.9.1.17, a=dveditz for release-drivers
Comment 8 Ilhan Y. 2011-05-04 17:01:07 PDT
Seems broken. See it here http://www.kkk.tsk.tr/

(https://bugzilla.mozilla.org/show_bug.cgi?id=451833#c77)
Comment 9 Volkan 2011-05-04 23:33:07 PDT
Ilhan Y.

What is broken? Two cookies ASPSESSIONIDetcetc are set with domain www.kkk.tsk.tr ?
Comment 10 Ilhan Y. 2011-05-05 00:49:54 PDT
Firefox 6 highlights "tsk.tr" part of http://www.kkk.tsk.tr/
Shouldn't it be "kkk.tsk.tr"?
Comment 11 Volkan 2011-05-05 00:52:01 PDT
What would Firefox 6 be? :)

http://www.tsk.tr/ is the primary domain.
Comment 12 Ilhan Y. 2011-05-05 00:57:42 PDT
(In reply to comment #11)
> What would Firefox 6 be? :)

What do you mean? http://nightly.mozilla.org/

> http://www.tsk.tr/ is the primary domain.

It doesn't seem so; https://www.nic.tr/index.php?USRACTN=YEARSTAT#tsk.tr says that there are 35 domain names that end with tsk.tr
They are separate domainnames, not subdomain. That is what I see.
Comment 13 Gervase Markham [:gerv] 2011-05-05 02:16:49 PDT
(In reply to comment #10)
> Firefox 6 highlights "tsk.tr" part of http://www.kkk.tsk.tr/
> Shouldn't it be "kkk.tsk.tr"?

No. That's precisely what the exception changes. *.tr means tsk.tr would be considered a public suffix and so it would highlight kkk.tsk.tr. Adding !tsk.tr means that tsk.tr is not considered a public suffix, so it highlights tsk.tr.

Gerv
Comment 14 Gervase Markham [:gerv] 2011-05-05 02:17:35 PDT
...so Firefox is behaving as it should. If you think the PSL is wrong, please open another bug.

Gerv

Note You need to log in before you can comment on or make changes to this bug.